webpack - webpack 5.37.0 devDependencies status

Packs CommonJs/AMD modules for the browser. Allows to split your codebase into multiple bundles, which can be loaded on demand. Support loaders to preprocess files, i.e. json, jsx, es7, css, less, ... and your custom stuff.

  • 67 Dependencies total
  • 61 Up to date
  • 0 Pinned, out of date
  • 6 Out of date
DependencyChangesRequiredStableLatestStatus
@babel/core^7.11.17.14.37.14.3
@babel/preset-react^7.10.47.13.137.13.13
@types/es-module-lexer^0.3.00.3.00.3.0
@types/jest^26.0.1526.0.2326.0.23
@types/node^15.0.115.3.015.3.0
babel-loader^8.1.08.2.28.2.2
benchmark^2.1.42.1.42.1.4
bundle-loader^0.5.60.5.60.5.6
coffee-loader
^1.0.03.0.03.0.0
coffeescript^2.5.12.5.199.999.99999
core-js^3.6.53.12.13.12.1
coveralls^3.1.03.1.03.1.0
cspell
^4.0.635.4.15.4.1
css-loader^5.0.15.2.45.2.4
date-fns^2.15.02.21.32.21.3
es5-ext^0.10.530.10.530.10.53
es6-promise-polyfill^1.2.01.2.01.2.0
eslint^7.14.07.26.07.26.0
eslint-config-prettier^8.1.08.3.08.3.0
eslint-plugin-jest^24.1.324.3.624.3.6
eslint-plugin-jsdoc
^33.0.034.7.034.7.0
eslint-plugin-node^11.0.011.1.011.1.0
eslint-plugin-prettier^3.1.43.4.03.4.0
file-loader^6.0.06.2.06.2.0
fork-ts-checker-webpack-plugin^6.0.56.2.97.0.0-alpha.3
husky^6.0.06.0.06.0.0
is-ci^3.0.03.0.03.0.0
istanbul^0.4.50.4.51.1.0-alpha.1
jest^26.6.326.6.327.0.0-next.9
jest-diff^26.6.226.6.227.0.0-next.9
jest-junit^12.0.012.0.012.0.0
json-loader^0.5.70.5.70.5.7
json5^2.1.32.2.02.2.0
less^4.0.04.1.14.1.1
less-loader
^8.0.09.0.09.0.0
lint-staged^11.0.011.0.011.0.0
loader-utils^2.0.02.0.02.0.0
lodash^4.17.194.17.214.17.21
lodash-es^4.17.154.17.214.17.21
memfs^3.2.03.2.23.2.2
mini-css-extract-plugin^1.0.01.6.01.6.0
mini-svg-data-uri^1.2.31.3.31.3.3
nyc^15.1.015.1.015.1.0
open-cli^6.0.16.0.16.0.1
prettier^2.2.02.3.02.3.0
pretty-format^26.3.026.6.227.0.0-next.9
pug^3.0.03.0.23.0.2
pug-loader^2.4.02.4.02.4.0
raw-loader^4.0.14.0.24.0.2
react^17.0.117.0.217.0.2
react-dom^17.0.117.0.217.0.2
rimraf^3.0.23.0.23.0.2
script-loader^0.7.20.7.20.7.2
simple-git^2.17.02.39.02.39.0
strip-ansi
^6.0.07.0.07.0.0
style-loader^2.0.02.0.02.0.0
terser^5.5.05.7.05.7.0
toml^3.0.03.0.03.0.0
ts-loader
^8.0.29.1.29.1.2
typescript^4.2.0-beta4.2.44.4.0-dev.20210518
url-loader^4.1.04.1.14.1.1
wast-loader^1.11.01.11.01.11.0
webassembly-feature1.3.01.3.01.3.0
webpack-cli^4.3.04.7.04.7.0
xxhashjs^0.2.20.2.20.2.2
yamljs^0.3.00.3.00.3.0
yarn-deduplicate^3.1.03.1.03.1.0
  • 67 Dependencies total
  • 61 Up to date
  • 0 Pinned, out of date
  • 6 Out of date